
TYPO3.Flow - Feature # 9861

Status: Needs Feedback Priority: Should have
Author: Karsten Dambekalns Category: Log
Created: 2010-09-21 Assigned To:
Updated: 2012-03-15 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Leave logging up and running as long as possible
Description

Currently the shutdown phase can/does shut down logging before the request run ends, thus leaving some messages out of the log.

Associated revisions
Revision 2006fce1 - 2010-09-22 10:12 - Karsten Dambekalns

[~TASK] FLOW3 (Log): The file backend no longer closes the log

For this backend we do nothing in cloe() anymore and rely on PHP to
close the filehandle when the request ends. This is to allow full
logging until request end.

Revise upon resolution of #9861

Relates to: #9861

Change-Id: Id4dc86c042132d6bbde5089f6e5c81e658b47961

History
#1 - 2012-03-14 16:05 - Christian Müller
- Status changed from New to Needs Feedback
- Has patch set to No

Actually the logging is not shutdown at all atm. Maybe we could shut it down after the BootstrapShuttingDown Signal?

#2 - 2012-03-15 10:53 - Karsten Dambekalns

Christian Mueller wrote:

Actually the logging is not shutdown at all atm. Maybe we could shut it down after the BootstrapShuttingDown Signal?

Shutting down logging after that signal has been dispatched (but not using that signal) should indeed work.
